#include <iostream>
using namespace std;

class myclass {
	int a;
public:
	myclass();
	myclass(int x);
	void show();
};
myclass::myclass()
{
	cout << "myclass()コンストラクタ呼び出し\n";
	a = 0;
}
myclass::myclass(int x)
{
	cout << "myclass(int x)コンストラクタ呼び出し\n";
	a = x;
}

void myclass::show()
{
	cout << a << "\n";
}

int main()
{
	myclass ob(4);
	ob.show();
	return 0;
}